> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Qwen3 TTS VD

> - テキストを音声に変換します。**[Qwen Voice Design](/ja/api-manual/audio-series/qwen-tts/qwen-voice-design) で作成したカスタム音声を必ず使用してください**。システム内蔵音声はサポートしていません
- 利用フロー：まず `qwen-voice-design` を呼び出して音声を作成 → `voice` 名を取得 → 本インターフェースの `voice` パラメータに渡す
- 非同期処理モード：返却されたタスクIDを使って[結果を照会](/ja/api-manual/task-management/get-task-detail)してください
- 生成された音声リンクの有効期間は24時間です。速やかに保存してください



## OpenAPI

````yaml ja/api-manual/audio-series/qwen-tts/qwen3-tts-vd.json POST /v1/audios/generations
openapi: 3.1.0
info:
  title: Qwen3 TTS VD 音声合成インターフェース
  description: テキストを音声に変換します。qwen-voice-design で作成したカスタム音声を必ず使用してください。システム内蔵音声はサポートしていません。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 音声合成
    description: Qwen3 TTS VD 音声合成関連インターフェース
paths:
  /v1/audios/generations:
    post:
      tags:
        - 音声合成
      summary: Qwen3 TTS VD 音声合成
      description: >-
        - テキストを音声に変換します。**[Qwen Voice
        Design](/ja/api-manual/audio-series/qwen-tts/qwen-voice-design)
        で作成したカスタム音声を必ず使用してください**。システム内蔵音声はサポートしていません

        - 利用フロー：まず `qwen-voice-design` を呼び出して音声を作成 → `voice` 名を取得 → 本インターフェースの
        `voice` パラメータに渡す

        -
        非同期処理モード：返却されたタスクIDを使って[結果を照会](/ja/api-manual/task-management/get-task-detail)してください

        - 生成された音声リンクの有効期間は24時間です。速やかに保存してください
      operationId: createQwen3TtsVd
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Qwen3TtsVdRequest'
            examples:
              basic:
                summary: 基本的な呼び出し
                value:
                  model: qwen3-tts-vd
                  prompt: リスナーの皆さん、こんばんは。夜のニュースをお届けします。
                  voice: qwen-tts-vd-announcer-voice-20260402-a1b2
              with_language:
                summary: 言語を指定
                value:
                  model: qwen3-tts-vd
                  prompt: リスナーの皆さん、こんばんは。夜のニュースをお届けします。
                  voice: qwen-tts-vd-announcer-voice-20260402-a1b2
                  language_type: Japanese
      responses:
        '200':
          description: 音声合成タスクの作成に成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qwen3TtsVdResponse'
        '400':
          description: リクエストパラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: missing_text
                  message: 'Missing required parameter: prompt or input'
                  type: invalid_request_error
        '401':
          description: 未認証、無効または期限切れのトークン
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足、チャージが必要
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセス権限なし
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: qwen3-tts-vd'
                  type: invalid_request_error
        '429':
          description: リクエスト頻度制限超過
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    Qwen3TtsVdRequest:
      type: object
      required:
        - model
        - prompt
        - voice
      properties:
        model:
          type: string
          description: モデル名
          enum:
            - qwen3-tts-vd
          default: qwen3-tts-vd
          example: qwen3-tts-vd
        prompt:
          type: string
          description: |-
            合成するテキスト

            **制約：**
            - 最大 `600` 文字
          maxLength: 600
          example: リスナーの皆さん、こんばんは。夜のニュースをお届けします。
        voice:
          type: string
          description: >-
            音声名


            - まず [Qwen Voice
            Design](/ja/api-manual/audio-series/qwen-tts/qwen-voice-design)
            で音声を作成する必要があります

            - Voice Design タスク結果の `result_data.voice` から取得します

            - システム内蔵音声はサポートしていません
          example: qwen-tts-vd-announcer-voice-20260402-a1b2
        language_type:
          type: string
          description: |-
            言語ヒント（モデルが発音ルールを選択するのを補助）

            指定しない場合は自動検出
          enum:
            - Auto
            - Chinese
            - English
            - Japanese
            - Korean
            - French
            - German
            - Spanish
            - Italian
            - Russian
            - Portuguese
          example: Japanese
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバック URL


            **コールバックのタイミング：**

            - タスクが完了（completed）、失敗（failed）、またはキャンセル（cancelled）した際にトリガー

            - 課金確認後に送信


            **セキュリティ制限：**

            - HTTPS プロトコルのみサポート

            - 内部 IP アドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックの仕組み：**

            - タイムアウト：`10` 秒

            - 失敗時は最大 `3` 回リトライ（失敗後それぞれ `1` 秒 / `2` 秒 / `4` 秒後にリトライ）

            - コールバックのレスポンスボディ形式はタスク照会インターフェースの返却形式と同一

            - コールバック URL が 2xx ステータスコードを返した場合は成功とみなし、それ以外はリトライをトリガー
          format: uri
          example: https://your-domain.com/webhooks/tts-completed
    Qwen3TtsVdResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1775122733
        id:
          type: string
          description: タスク ID
          example: task-unified-1775122733-lozyt2i5
        model:
          type: string
          description: 実際に使用されたモデル名
          example: qwen3-tts-vd
        object:
          type: string
          enum:
            - audio.generation.task
          description: タスクの具体的なタイプ
        progress:
          type: integer
          description: タスクの進捗率 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクのステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/AudioTaskInfo'
          description: 音声タスクの詳細情報
        type:
          type: string
          enum:
            - audio
          description: タスクの出力タイプ
          example: audio
        usage:
          $ref: '#/components/schemas/AudioUsage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    AudioTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 完了予定時間（秒）
          minimum: 0
          example: 10
        audio_type:
          type: string
          description: 音声タスクのタイプ
          example: tts
    AudioUsage:
      type: object
      description: 使用量情報
      properties:
        credits_reserved:
          type: number
          description: 推定消費クレジット数
          minimum: 0
          example: 0.32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのインターフェースは Bearer Token による認証が必要です##

        **API キーの取得：**

        [API キー管理ページ](https://evolink.ai/dashboard/keys) にアクセスして API キーを取得してください

        **リクエストヘッダーに以下を追加してください：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````